For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
13.5kProductPricingSign inStart free trialBook a demo
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
    • API overview
  • Client API
  • Frontend API
  • Admin API
      • GETGets usage data
      • GETGet aggregated traffic data for a given time period.
      • GET[BETA] Get aggregated metered connections for a given time period.
      • GET[BETA] Get aggregated metered requests for a given time period.
      • GET[BETA] Get impact metrics configurations for a single feature
      • POST[BETA] Save flag level impact metrics configuration
      • GET[BETA] Get impact metrics configuration for the instance
      • POST[BETA] Save instance level impact metrics configuration
      • DEL[BETA] Delete flag level impact metric configuration
      • DEL[BETA] Delete instance level impact metric configuration
      • GETGet application data
      • POSTCreate an application to connect reported metrics
      • DELDelete an application
      • GETGet all applications
      • GETGet application overview
      • GETGet application environment instances (Last 24h)
      • GETGet outdated SDKs
      • GETGet feature metrics
      • GETLast hour of usage and a list of applications that have reported seeing this feature flag
      • GETGet stored custom metrics
      • GETGet metrics in Prometheus format

Unleash reduces the risk of releasing new features, drives innovation by streamlining the software release process, and increases revenue by optimizing end-user experience. While we serve the needs of the world's largest, most security-conscious organizations, we are also rated the “Easiest Feature Management system to use” by G2.

GitHubGitHubLinkedInLinkedInX (Twitter)X (Twitter)SlackSlackStack OverflowStack OverflowYouTubeYouTube

Server SDKs

  • Node.js
  • Java
  • Go
  • Rust
  • Ruby
  • Python
  • .NET
  • PHP
  • All SDKs

Frontend SDKs

  • JavaScript
  • React
  • Next.js
  • Vue
  • iOS
  • Android
  • Flutter

Feature Flag use cases

  • Secure, scalable feature flags
  • Rollbacks
  • FedRAMP, SOC2, ISO2700 compliance
  • Progressive or gradual rollouts
  • Trunk-based development
  • Software kill switches
  • A/B testing
  • Feature management
  • Canary releases

Product

  • Quickstart
  • Unleash architecture
  • Pricing
  • Product vision
  • Open live demo
  • Open source
  • Enterprise feature management platform
  • Unleash vs LaunchDarkly

Support

  • Help center
  • Status
  • Changelog
Made in a cosy atmosphere in the Nordic countries.Copyright © 2026 Unleash
LogoLogo
13.5kProductPricingSign inStart free trialBook a demo
Admin APIMetrics

Get all applications

||View as Markdown|
GET
https://app.unleash-instance.example.com/api/admin/metrics/applications
GET
/api/admin/metrics/applications
$curl https://app.unleash-instance.example.com/api/admin/metrics/applications \
> -H "Authorization: <apiKey>"
200Retrieved
1{
2 "total": 50,
3 "applications": [
4 {
5 "appName": "accounting",
6 "sdkVersion": "unleash-client-java:8.0.0",
7 "strategies": [
8 "standard",
9 "gradualRollout",
10 "mySpecialCustomStrategy"
11 ],
12 "description": "Application for reporting page visits",
13 "url": "https://github.com/Unleash/unleash-proxy-client-js",
14 "color": "red",
15 "icon": "https://github.com/favicon.ico",
16 "usage": [
17 {
18 "project": "main-project",
19 "environments": [
20 "development",
21 "production"
22 ]
23 }
24 ]
25 }
26 ]
27}
Returns all applications registered with Unleash. Applications can be created via metrics reporting or manual creation
Was this page helpful?
Previous

Get application overview

Next
Built with

Authentication

Authorizationstring
API key needed to access this API
OR
AuthorizationBearer
API key needed to access this API, in Bearer token format

Query parameters

querystringOptional
The search query for the application name
offsetstringOptional
The number of applications to skip when returning a page. By default it is set to 0.
limitstringOptional
The number of applications to return in a page. By default it is set to 1000.
sortBystringOptional
The field to sort the results by. By default it is set to "appName".
sortOrderstringOptional
The sort order for the sortBy. By default it is det to "asc".

Response

applicationsSchema
totalinteger
The total number of project applications.
applicationslist of objects
The list of applications that have connected to this Unleash instance.